LEAKTEST(8)

NAME
leaktest - start looking for leaks

SYNOPSIS
leaktest

DESCRIPTION
Anonymity Distribution Gateway specific leaktest.

Advanced users, developers and auditors only!

First configures tshark, then comments in ReachableDirAddresses *:80, ReachableORAddresses *:443 and FascistFirewall 1 in /usr/share/tor/tor-service-defaults-torrc, reloads Tor, checks Tor's status, and finally runs tshark and waits until you abort using CTRL + C. After aborting it resets /usr/share/tor/tor-service-defaults-torrc back to normal (comments out ReachableDirAddresses *:80, ReachableORAddresses *:443 and FascistFirewall 1) and reloads Tor and checks its status again. See /usr/bin/leaktest for implementation details.

As long as it's running, it writes tshark's output to standard output.

The tester is supposed to run leaktest on Workstation after leaktest has been started on Gateway.

There are other leak tests as well, please refer to the Whonix online documentation.

RETURN VALUES
Return codes do not implicate the existence or absence of leaks! Returns 0, if no script error has been caught, otherwise returns 1. Please report a bug in case you catch return value 1.

HOW TO INTERPRET THE RESULT
It requires a background on basic networking, which is unfortunately outside the scope of this man page and Whonix documentation. Whonix online documentation pages LeakTests and LeakTestsOld contain hints for interpretation and other leak tests.

WWW
https://www.whonix.org/wiki/Dev/Leak_Tests

https://www.whonix.org/wiki/Dev/Leak_Tests_Old

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).